<?php

class dateTimeManager
{
    /**
     * @return Returns an SQL formatted date
     * @param object $timestamp Accepts a UNIX formatted timestamp.
     */

    function getTimeStampFromString($date)
    {
        return strtotime($date);
    }

    function getYear($timestamp)
    {
        return date('Y', $timestamp);
    }

    function getMonthName($timestamp)
    {
        return date('F', $timestamp);
    }

    function getMonthNumber($timestamp)
    {
        return date('m', $timestamp);
    }

    function getDayOfWeekNumber($timestamp)
    {
        return date('w', $timestamp);
    }

    function getDayOfMonthNumber($timestamp)
    {
        return date('j', $timestamp);
    }

    function addMonthToTimeStamp($timestamp)
    {
        return $this->addMonthsToTimeStamp($timestamp, 1);
    }

    function subtractMonthFromTimeStamp($timestamp)
    {
        return $this->subtractMonthsFromTimeStamp($timestamp, 1);
    }

    function addDaysToTimeStamp($timestamp, $number)
    {
        $string = "+".$number." day";
        return strtotime($string, $timestamp);
    }

    function addWeeksToTimeStamp($timestamp, $number)
    {
        $string = "+".$number." week";
        return strtotime($string, $timestamp);
    }

    function addMonthsToTimeStamp($timestamp, $number)
    {
        $string = "+".$number." month";
        return strtotime($string, $timestamp);
    }

    function addYearsToTimeStamp($timestamp, $number)
    {
        $string = "+".$number." year";
        return strtotime($string, $timestamp);
    }

    function subtractDaysFromTimeStamp($timestamp, $number)
    {
        $string = "-".$number." days";
        return strtotime($string, $timestamp);
    }

    function subtractMonthsFromTimeStamp($timestamp, $number)
    {
        $string = "-".$number." months";
        return strtotime($string, $timestamp);
    }

    function getGMTTimeZoneObject()
    {
        $gmtObject = new DateTimeZone('Etc/GMT');
        return $gmtObject;
    }

    function getCurrentGMTTimestamp()
    {
        return gmdate('U');
    }

    function getWordPressTimeZone()
    {
        $wordpressOffset = get_option('gmt_offset');
        echo $wordpressOffset;
    }

    function convertToSystemTime($timestamp)
    {
        global $serverLocale;
        date_default_timezone_set("GMT");
        // echo '<br />Timestamp: '.$timestamp.'<br />';


        //echo 'Timestamp according to server says: '.date('g:i a e F j', $timestamp)."<br />";


        //echo 'Server is in: '.$serverLocale.'<br />';

        //Create objects to represent the user's time zone and the GMT
        $userTimeZone = new DateTimeZone(wecUser::getUserLocale());
        $serverTimeZone = new DateTimeZone($serverLocale);
        $gmtTimeZone = new DateTimeZone("GMT");

        //Get the current time for where we are now, and the GMT
        $serverTimeObject = new DateTime("now", $serverTimeZone);
        $userTimeObject = new DateTime("now", $userTimeZone);
        $GMTTimeObject = new DateTime("now", $gmtTimeZone);

        //Get the server's GMT offset (in seconds)
        $serverGMTOffset = $serverTimeZone->getOffset($GMTTimeObject);

        //Get the user's GMT offset (in seconds)
        $userGMTOffset = $userTimeZone->getOffset($GMTTimeObject);


        //echo 'User Offset:'.$userGMTOffset.'<br />';
        //echo 'Server Offset:'.$serverGMTOffset.'<br />';


        //=========================================================================
        //	Find the difference between the server offset and the user offset.
        //
        //  We will reverse this later!
        //=========================================================================
        $userIsWestOfServer = false;

        //Figure out which number is bigger
        if ($userGMTOffset < $serverGMTOffset)
        {
            $serverClientOffsetDifference = $serverGMTOffset-$userGMTOffset;
        }
        elseif ($userGMTOffset > $serverGMTOffset)
        {
            $serverClientOffsetDifference = $userGMTOffset-$serverGMTOffset;
            $userIsWestOfServer = true;
        }
        //If they are the same
        else
        {
            $serverClientOffsetDifference = 0;
        }

        //echo 'Server-client offset difference: '.$serverClientOffsetDifference.'<br />';


        //================================================
        // Compensate for applying a new server time
        //================================================

        //If the server is east of the user
        if (!$userIsWestOfServer)
        {
        //    echo 'Server is east of the user<br />';
            $timestamp = $timestamp+abs($serverClientOffsetDifference);
        }
        else
        {
        //    echo 'Server is west of the user<br />';
            $timestamp = $timestamp-abs($serverClientOffsetDifference);
        }

        //echo 'After compensating for the server, the user time is: '.date('g:i a e F j', $timestamp).'<br />';

        //================================================
        // Compensate for user offset
        //================================================

        //        //If the user lives west of GMT
        //        if ($userGMTOffset < 0)
        //        {
        //            echo 'User is west of GMT<br />';
        //            //      echo "Timestamp is: ".$timestamp." and we are adding ".abs($userGMTOffset).'<br />';
        //            $timestamp = $timestamp+abs($userGMTOffset);
        //        }
        //        //If the user lives east of GMT
        //        else
        //        {
        //            echo 'User is east of GMT<br />';
        //            //   echo "Timestamp is: ".$timestamp." and we are  adding".abs($userGMTOffset).'<br />';
        //            $timestamp = $timestamp-abs($userGMTOffset);
        //        }


        //echo '<br />Timestamp going out: '.$timestamp.'<br />';
        //echo 'Timestamp going out says: '.date('g:i a e F j', $timestamp)."<br /><br />";
        return $timestamp;
    }

    function convertToUserTime($timestamp)
    {
        date_default_timezone_set(wecUser::getUserLocale());
        return $timestamp;
    }

    function getFirstSecondOfMonth($timestamp)
    {
        $monthNumber = date('m', $timestamp);
        $yearNumber = date('Y', $timestamp);
        $firstSecond = mktime(0, 0, 0, $monthNumber, 1, $yearNumber);
        return $firstSecond;
    }

}

?>
